Bug 1674644 - american-fuzzy-lop: FTBFS in Fedora rawhide/f30
Summary: american-fuzzy-lop: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: american-fuzzy-lop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:48 UTC by Fedora Release Engineering
Modified: 2019-08-08 13:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 13:30:36 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:48 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:48 UTC, Fedora Release Engineering
no flags Details
state.log (665 bytes, text/plain)
2019-02-11 16:48 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:48:54 UTC
american-fuzzy-lop failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32364680


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix american-fuzzy-lop at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
american-fuzzy-lop will be orphaned. Before branching of Fedora 31,
american-fuzzy-lop will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:48:56 UTC
Created attachment 1529249 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:48:57 UTC
Created attachment 1529250 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:48:59 UTC
Created attachment 1529251 [details]
state.log

Comment 4 Richard W.M. Jones 2019-03-04 08:11:22 UTC
There's actually a separate upstream bug which prevents me from
fixing this at the moment.  See:

https://groups.google.com/forum/#!topic/afl-users/zHeyTX_Cyn0

Comment 5 Richard W.M. Jones 2019-05-29 08:35:35 UTC
It's suggested that one of the patches from:

https://github.com/vanhauser-thc/afl-patches/commits/master

might fix things, so if anyone has time to go through that lot and work out which ...

Comment 6 Fedora Release Engineering 2019-08-08 13:30:36 UTC
The following builds were made: american-fuzzy-lop-2.53b-1.fc31


Note You need to log in before you can comment on or make changes to this bug.